import OHeader from '@/components/o-header'
import OSticky from '@/components/o-sticky'
import { Tabs, Tab } from 'vant'
import { defineComponent, reactive, ref } from 'vue'
import styles from './index.module.less'
import { useRouter } from 'vue-router'
import WaitApproval from './components/wait-approval'
import EndApproval from './components/end-approval'
const activeName = ref('wait')
export default defineComponent({
  name: 'approval-manage',
  setup() {
    const router = useRouter()
    const state = reactive({})

    return () => (
      <>
        <OSticky position="top" background="#F8F8F8">
          <OHeader></OHeader>
          <Tabs v-model:active={activeName.value} class={styles.approvalTab}>
            <Tab name="wait" title="待审批"></Tab>
            <Tab name="end" title="已完成"></Tab>
          </Tabs>
        </OSticky>
        {activeName.value == 'wait' ? <WaitApproval></WaitApproval> : <EndApproval></EndApproval>}
      </>
    )
  }
})
